.add_new_btn{
    width: 100%;
    padding-top: 20px;
}
.fa {
  margin-left: -4px;
  margin-right: 8px;
}
div.dataTables_wrapper {
    padding: 15px;
}
.website_name{
    position: relative;
    inset-inline-start: 1rem !important;
    inset-inline-start: 1rem !important;
}
.folder-btn{
    height: 44px;
}

.custom-spinner{
    height: 20px !important;
    width: 20px !important;
}

.custom-button{
    width: 100px !important;
}
.event-icons {
    display: flex;
    gap: 5px;
}

.event-options {
    width: 100%;
    padding: 7px;
}

.fc-daygrid-day {
    cursor: pointer;
}

.fc-timegrid-day {
    cursor: pointer; 
}

.fc-list-item {
    cursor: pointer; 
}

.fc-timegrid-slot {
    cursor: pointer; 
}

ul.navbar-nav.flex-row.align-items-center.ms-auto.department_dropdown {
    margin: 0 !important;
}

.fadeinout
{
  animation: fadeinout 3s;
  border-radius: 10px;
}

@keyframes fadeinout
{
  0%{
    opacity:1;
    background-color: rgba(209, 240, 240, 0.815);
    border-radius: 10px;
  }
}

div.dataTables_processing > div:last-child > div {
    background: #71306C !important;
}

.range_picker {
    width: 20%;
    float: right;
}

.profile_edit_icon {
       /* margin-top: -18px; */
    background: #ffffff;
    /* height: fit-content; */
    padding: 6px;
    border-radius: 100px;
    margin-left: 0;
    position: absolute;
    right: 0;
    top: 0px;
    width: 23%;

}
.profiles-section {
    position: relative;
    width: fit-content;
}
.folder_image {
    width: 75%;
}

.hover-bg-change:hover {
    background-color: rgba(38, 43, 67, 0.08); 
    transition: background-color 0.3s ease; 
    border-radius: 10px;
}

.news_image {
    height: 100% !important;
    width: 100% !important;
    object-fit: cover !important;
    border-radius: 6px;
}

.swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
}

.swiper-slide img {
    width: auto;
    height: 500px;
    object-fit: cover; 
    object-position: center; 
}

.swiper-container .swiper-wrapper .swiper-slide {
    padding: 0 !important;
}

.description {
    height: 130px !important;
}

.add-new-btn .btn-primary {
    margin-left: 10px; 
}

.folder-delete {
    float: right !important;
    color: #71306C !important;
    margin-top: 10px;
}

.folder-restore {
    float: right !important;
    color: #71306C !important;
    cursor: pointer;
}

.existing-image {
    width: 100%;
}

.restore-icon {
    width: 20px;
    height: 17px;
    position: absolute;
    right: -11px;
}
.dropdown1.text-end {
    display: inline-block;
    position: relative;
    width: 100%;
}
.pagination:not([class*=pagination-outline-]) .page-item.active > .page-link {
    border-radius: 10px;
}

.sub-menu-sidebar{
    padding-left: 25px !important;
}

.audit-search {
    padding: 20px;
}

.red-class {
    background-color: #ffe3e2 !important; 
    color: #ff4d49 !important;
}

.yellow-class {
    background-color: #fff3dd !important;
    color: #cb9326 !important;
}

.green-class {
    background-color: #e8fadd !important;
    color: #447c1e !important;
}

.grey-class {
    background-color: #e8fadd !important;
    color: #447c1e !important;
}

/* .grey-class {
    background-color: #e1e2e3 !important;
    color: #727276 !important;
} */

/* 23-10 khushi css start */
.app-calendar-content table td.fc-list-event-graphic,
.app-calendar-content table td.fc-list-event-time{
    vertical-align: middle;
}
#TaskDetailModal .modal-header{
    align-items: flex-start;
}
#TaskDetailModal .modal-body div{
    margin-bottom: 10px;
}
.custom-event-title{
     display: block;         
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}
#TaskDetailModal .modal-title,
#TaskDetailModal .modal-body span.fw-bold{
    color: #71306C;
    font-weight: bold;
}
#TaskDetailModal #task_description{
    line-height: 22px;
}
.news_ls_img {
    height: 250px;
    width: 100%;
}
a.h5.news_ls_title{
    line-height: 22px;
}
#existingImagePreview img{
    object-fit: cover;
}
#existingImagePreview #imagePreview{
    flex-wrap: wrap;
}
aside.layout-menu{
    box-shadow: 0 0.25rem 0.875rem 0 rgba(38, 43, 67, 0.16);
}
.layout-menu-collapsed .layout-menu .website_name img.collapsed_logo{
    display: block !important;
    width: 40px;
}
.layout-menu-collapsed .layout-menu .website_name img.uncollapsed_logo{
    display: none;
}
.layout-menu-hover .layout-menu .website_name img.collapsed_logo{
    display: none !important;
}
.layout-menu-hover .layout-menu .website_name img.uncollapsed_logo{
    display: block;
}
.dataTables_processing{
    background-color: transparent !important;
    box-shadow: none !important;
}
.datatables-audits th, .datatables-audits td{
    padding: 10px !important;
}
.layout-menu .layout-menu-toggle{
    z-index: 11;
}

.department_dropdown .avatar img{
    object-fit: cover;
}
.user-profile-header .user-profile-img{
    height: 120px !important;
    object-fit: cover;
}

.report-chart{
    height: 295px !important;
}

.report_table_card table th:first-child{
    width: 80%;
}

.chart-title{
    height: 35px !important;
}

table .badge.bg-label-success.success-pill {
    color: #4C951C !important;
}

table .badge.bg-label-warning.pending-pill {
    color: #DD9405 !important;
}

.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.folder-text p{
    color: #3b4056;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin-bottom: 0;
}

.report_location {
    width: 48%;
}

.plus{
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.page-item .page-link{
    border-radius: 10px !important;
}

.calendar_filter{
    max-height: 985px;
    overflow: auto;
    scroll-behavior: smooth;
    scrollbar-width: thin;
}
.ql-custom {
    /* background-color: #008CBA; */
    color: grey;
    border: none;
    padding: 5px 10px;
    margin: 0 5px;
    cursor: pointer;
  }
  
  .ql-custom:hover {
    color: white;
    background-color: #71306c;
  }
  
.layout-container {
    min-height: 99vh !important;
}

#damira-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #757272cc;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999
}

.spinner-container {
    position: relative;
    width: 100px;
    height: 100px
}

.spinner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 6px solid #f3f3f3;
    border-top: 6px solid #71306c;
    border-radius: 50%;
    animation: spin 1s linear infinite
}

.logo-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center
}

.loader-logo {
    width: 50px;
    height: 50px;
    object-fit: contain
}

.loader-text {
    margin-top: 10px;
    font-weight: 700
}

@keyframes spin {
    0% {
        transform: rotate(0)
    }

    to {
        transform: rotate(360deg)
    }
}
.fc .fc-view-harness .fc-event{
    border-radius: 10px !important;
}
div:where(.swal2-container) h2:where(.swal2-title) {
    padding: 0 !important;
}
div:where(.swal2-icon){
    margin: 22px auto 0.6em !important;
}
.swal2-modal.swal2-popup .swal2-title{
    margin: 0 auto !important;
}
.layout-navbar .navbar-dropdown.dropdown-user .dropdown-menu {
    min-width: 11rem !important;
}
.department-dropdown li {
    max-width: 242px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /* display: inline-block; */
    vertical-align: middle;
}
.container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container {
    max-width: none !important;
}
.folders-box {
    padding: 10px 20px;
}
.dashboard-inner-boxx {
    width: 310px  !important;
    margin-bottom: 30px;
}
.dashboard-cardbox {
    margin: 0;
    display: grid !important;
    grid-template-columns: repeat(5, 1fr);
}
.btn-primary {
    padding: 10px 25px !important;
} 
.complivalut-folder {
    box-shadow: 0 0.25rem 0.875rem 0 rgba(38, 43, 67, 0.16);
    padding: 20px;
    border-radius: 10px;
}
.complivalutinner {
    display: flex;
    justify-content: flex-end;
    gap: 20px;
}
.folder-floatingbox {
    display: flex;
    gap: 20px;
    align-items: center;
}
input[type="search"]::-webkit-search-cancel-button {
    filter: brightness(0) saturate(100%) invert(22%) sepia(25%) saturate(2817%) hue-rotate(267deg) brightness(92%) contrast(86%);
}
.main-blogsection h2 {
    color: #71306c;
    font-size: 29px;
    font-weight: 600;
}
.blogs-details-section h2{
  color: #71306c;
  font-size: 25px;
}
.main-blogsection h2, .main-blogsection p, .blogs-details-section h2, .blogs-details-section p{
    margin: 0;
}
.light-style .authentication-wrapper .authentication-bg {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.logo-media {
    display: none;
}
.logo-desktop {
    display: block;
}
.authentication-wrapper .auth-cover-illustration {
    object-fit: contain;
}
.form-usersdamira {
    width: 80%;
    margin: 0 auto;
}
.light-style .user-profile-header .user-profile-img {
    border-color: #fff;
    border-radius: 100px !important;
}
.main-main-boxprofies {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 50px;
}
.btn-outline-primary {
    padding: 9px !important;
}
.mainbox-report .close-reportbox {
    right: 75px;
    top: -8px;
}
.mainbox-report .close-reportbox .btn {
    padding: 0px !important;
    border-radius: 1000px;
    background: #db141400;
    border-color: transparent;
        border: 0;
}
.close-reportbox img {
    height: 35px;
}
.mainbox-report {
    position: relative;
}
 .clonereport-box .close-reportbox {
    right: 75px;
    top: -8px;
}
 .clonereport-box .close-reportbox .btn {
   padding: 0px !important;
    border-radius: 1000px;
    background: #db141400;
    border-color: transparent;
        border: 0;
}
.clonereport-box .close-reportbox .btn:hover, .mainbox-report .close-reportbox .btn:hover {
    background: transparent !important;
    border: 0 !important;
}
.clonereport-box .close-reportbox .btn i {
    font-size: 17px;
}
.addreportbox .btn {
    padding: 7px !important;
    border-radius: 100px;
}
.clonereport-box {
    position: relative;
}
.main-box-profile small {
    color: #71306c !important;
    font-weight: 700;
}
.layout-wrapper:not(.layout-horizontal) .menu-vertical .menu-inner>.menu-item>.menu-sub>.menu-item>.menu-link {
    padding-left: 10px !important;
    gap: 14px;
}

ul.menu-sub.sub-menu-sidebar li.menu-item.active a div {
    color: #71306c;
    font-weight: 700;
}
ul.menu-sub.sub-menu-sidebar img {
    height: 22px;
}
ul.menu-sub.sub-menu-sidebar li.menu-item.active a img {
    filter: brightness(0) saturate(100%) invert(22%) sepia(19%) saturate(2798%) hue-rotate(262deg) brightness(95%) contrast(89%);
}
.layout-wrapper:not(.layout-horizontal) .menu-vertical .menu-inner>.menu-item .menu-sub>.menu-item>.menu-link:before{
    display: none !important;
}
ul.menu-sub.sub-menu-sidebar li.menu-item.active a {
    background: transparent !important;
    box-shadow: none !important;
}
li.menu-item.open a.menu-link.menu-toggle.waves-effect {
    background: #71306c;
}
li.menu-item.open a.menu-link.menu-toggle.waves-effect, li.menu-item.open .menu-toggle:after {
    color: #fff;
}
#danger-alert, #success-alert, #danger-alt, #success-alt {
    width: fit-content;
}

.form-floating>label {
    padding: 11px 1rem !important;
} 
 .form-floating>.form-control, .form-floating>.form-control-plaintext, .form-floating>.form-select {
    height: 48px !important;
    min-height: 48px !important;
    line-height: 0;
}
.form-control-sm{
height: 44px !important;
    min-height: 44px !important;

}
.form-floating.form-floating-outline>.form-control:focus~label, .form-floating.form-floating-outline>.form-control:not(:placeholder-shown)~label, .form-floating.form-floating-outline>.form-select:focus~label, .form-floating.form-floating-outline>.form-select:not(:placeholder-shown)~label {
    width: auto;
    height: auto;
    padding: 2px .375rem !important;
}
button.btn1.btn-primary1.upload-files {
    border: 0;
    background: transparent;
    padding: 0;
}
.action-icons img, .main-icons-cancelcale img {
    width: 25px;
}
.main-icons-cancelcale {
    display: flex;
    justify-content: space-between;
}
div:where(.swal2-container) .swal2-html-container{
    overflow: hidden !important;
}
.justification-bix textarea#justification {
    height: 110px !important;
}
textarea#justification-textarea:focus-visible {
    outline-color: #71306c;
}
html:not([dir=rtl]) .form-floating.form-floating-select2 label {
    margin-left: .625rem;
    padding: 2px .375rem !important;
}
.dashboard-inner-boxx .card-header {
    padding-bottom: 0;
}
.dropdown-item:not(.disabled).active, .dropdown-item:not(.disabled):active {
    background-color: #ffffff !important;
    color: #71306c !important;
}
/* .myprofilemain-box {
    background: #fff;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
    padding: 20px;
    border-radius: 10px;
} */
.actionbtn-icondmra a:hover {
    color: #71306c;
}
.not_doc {
    width: 16px;
}

@media screen and (max-device-width: 1440px) {
   .layout-navbar .navbar-nav-right {
    gap: 15px;
}
.folder-text p {
    font-size: 13px;
}
.location-department li {
    max-width: 187px;
}
.btn-primary {
    padding: 10px !important;
}
 .calendar-responsive {
    display: flex;
    flex-direction: row;
}

.dashboard-inner-boxx {
    width: 230px !important;
}
.event-icons {
    justify-content: flex-end;
}
}
@media only screen and (min-device-width: 1367px) and (max-device-width: 1439px) {
    .dashboard-inner-boxx {
    width: 191px;
}
.event-icons {
    justify-content: flex-end;
}
}
@media screen and (max-device-width: 1366px) {
.dashboard-cardbox {
        grid-template-columns: repeat(3, 1fr);
        gap: inherit;
        display: grid !important;
}
.dashboard-inner-boxx {
    width: auto !important;
    margin-bottom: 20px;
}
.event-icons {
    justify-content: flex-end;
}
}
@media screen and (max-device-width: 1100px) {
  .calendar-responsive {
    display: flex;
    flex-direction: column;
   }
}
@media screen and (max-device-width: 1024px) {
  .calendar-responsive {
    display: flex;
    flex-direction: column;
}
.calendar_filter {
    max-height: 568px;
    overflow: auto;
    scroll-behavior: smooth;
    scrollbar-width: thin;
}
.user-profile-header .user-profile-img {
    width: auto !important;
}
.event-icons {
    justify-content: flex-end;
}
.department-dropdown li {
    max-width: 155px;
}
.fc .fc-view-harness .fc-event {
    padding: 0 !important;
    margin: 0 !important;
}
.btn-primary {
    padding: 10px !important;
}
.complivalut-inner-ipad {
    display: flex;
    flex-direction: column;
    align-items: flex-end !important;
}
.complivalut-inner-ipad .form-floating.form-floating-outline {
    width: 100%;
}
.complivalutinner {
    width: 100%;
}
.dashboard-cardbox {
    grid-template-columns: repeat(3, 1fr);
  gap: inherit;
}
.dashboard-inner-boxx {
    width: 306px;
}
.folder-floatingbox {
    display: flex;
    gap: 20px;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.logo-media {
    display: block;
}
.logo-desktop {
    display: none;
}
.form-usersdamira {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-items: stretch;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    padding: 40px 40px;
    border-radius: 15px;
    background: #fff;
    margin: 0 auto !important;
    width: 100%;
}
.side-imglogin {
    display: none !important;
}
.side-imglogin {
    background: linear-gradient(rgb(60 58 60 / 38%), rgb(255 248 248 / 85%)), url(../img/illustrations/girl-with-laptop-light.png);
    display: block !important;
    height: 100vh;
    background-size: contain !important;
    background-repeat: no-repeat;
    background-position: center;
    
}
.side-imgforget{
    background: linear-gradient(rgb(60 58 60 / 38%), rgb(255 248 248 / 85%)), url(../img/illustrations/girl-unlock-password-light.png);
    background-repeat: no-repeat;
    background-position: center;
}
.side-imgsetpass{
    background: linear-gradient(rgb(60 58 60 / 38%), rgb(255 248 248 / 85%)), url(../img/illustrations/girl-verify-password-light.png);
    background-repeat: no-repeat;
    background-position: center;
}
.authentication-wrapper .auth-cover-illustration {
    z-index: 1;
    /* max-inline-size: 38rem; */
    width: 100% !important;
}
.light-style .authentication-wrapper .authentication-bg {
    background-color: #ffffff00 !important;
}
.authentication-wrapper.authentication-cover .authentication-inner {
    min-height: 100vh;
    position: relative;
    display: flex;
    align-items: center;
}
.light-style .authentication-wrapper .authentication-bg {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute !important;
    z-index: 9999;
}
.side-imglogin img {
    display: none;
}
}

@media only screen and (min-device-width: 768px) and (max-device-width: 821px) {
.dashboard-cardbox {
    grid-template-columns: repeat(2, 1fr);
      gap: inherit;
}
.dashboard-inner-boxx {
    width: auto;
            margin-bottom: 20px;
}
.folder-floatingbox {
    display: flex;
    gap: 20px;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
.user-profile-header .user-profile-img {
    width: auto !important;
}
}

.menu-icon{
  width:20px;            
  min-width:20px;
  display:inline-flex;
  align-items:center;
  justify-content:center;
  font-size:16px;         
}
.menu-link{
  display:flex;
  align-items:center;
  gap:10px;
}
.menu-separator{
  height:1px;
  background:#e5e7eb;    
  margin:14px 16px;        
}
